> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/rest-api/api-reference/series.md).

# Series

## Ingest a series for a metric

> Post a time point or multiple time points (series) to a metric. User authorization is not required instead provide the integration key of your metric.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Series"}],"servers":[{"url":"/api"}],"security":[],"paths":{"/series/{key}":{"post":{"tags":["Series"],"summary":"Ingest a series for a metric","description":"Post a time point or multiple time points (series) to a metric. User authorization is not required instead provide the integration key of your metric.","parameters":[{"name":"key","in":"path","description":"integration key of resource","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the time point or series of time points","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesOption"}}},"required":true},"responses":{"202":{"description":"The time points have been accepted","content":{}}}}}},"components":{"schemas":{"SeriesOption":{"type":"object","description":"Can either be a single time point, omitting timestamp field is allowed as it will be replaced with now() - or a series of multiple time points","oneOf":[{"$ref":"#/components/schemas/SingleTimePoint"},{"$ref":"#/components/schemas/MultipleTimePoint"}]},"SingleTimePoint":{"required":["value"],"type":"object","properties":{"timestamp":{"type":"number","description":"The unix epoch second of your time point","format":"int64"},"value":{"type":"number","description":"Value of your time point","format":"double"}}},"MultipleTimePoint":{"type":"object","properties":{"series":{"type":"array","items":{"$ref":"#/components/schemas/SingleTimePoint"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/series.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
